Issue 82177 - Excel filter: chart data label type and separator
Excel filter: chart data label type and separator
Status: CLOSED FIXED
Product: General
Classification: Code
Component: chart
OOo 3.3 or older
All All
: P3 trivial (vote)
: ---
Assigned To: kla
issues@graphics
: ms_interoperability
Depends on: 37792 43489 82051
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 14:28 UTC by IngridvdM
Modified: 2013-02-24 21:22 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description IngridvdM 2007-10-02 14:28:36 UTC
With CWS chart14 the data label capabilities of the chart were enhanced.
Thus it would now be possible to im- and export those things:
1) And a numberformat can be set for the value and percentage value (see issue
37792)
2) It is possible to display the value and the percentage value at the same time
for pie charts. (see issue 43489)
3) A label separator (see issue 82051).
Comment 1 IngridvdM 2007-10-02 14:31:53 UTC
->Daniel, please have a look what you can do for the new features in the excel
filter.
Comment 2 daniel.rentz 2008-01-09 09:25:41 UTC
1) fixed with issue 81392
Comment 3 daniel.rentz 2008-04-04 11:11:13 UTC
title, started
Comment 4 daniel.rentz 2009-02-04 09:02:59 UTC
target
Comment 5 daniel.rentz 2009-04-20 11:22:05 UTC
OOXML import already implemented in master DEV300m44.
Comment 6 daniel.rentz 2009-04-22 15:48:57 UTC
fixed in CWS DEV300/chart37
Comment 7 daniel.rentz 2009-04-28 10:01:56 UTC
Import/export of label type (value, percentage, category) and import/export of
separator between label components implemented in BIFF8 and OOXML filters.
(BIFF8: import/export, OOXML: import only).

Test documents: http://sc.openoffice.org/testdocs/index.html
-> Chart Settings and Formatting -> Data series, labels -> BIFF8, XML2003, XML2007

Inside the documents, look at sheet "Data Labels", chapter 3.5 "Data Label
Type". The bar chart shows all possible combinations of label types supported by
Excel: value, category name, series name. Chart2 can show value and category
name only (not series name). The pie chart shows all possible combinations of
value, percentage, category name, series name. Again, Chart2 cannot show the
series name. Last chart is a bubble chart in Excel, can be ignored here.
Chapter 3.6, first chart, shows label separators. First is "automatic" which is
a semicolon in Excel.

NOTE: Due to issue 101093 (fixed in another OOo3.2 CWS), loading of charts is
currently VERY slow. A little (!) workaround is to increase the number of cached
OLE objects:
Tools -> Options -> Memory -> Cache for inserted objects -> Number of objects =
200. Restart of Office is required (quickstarter too)! The fix of issue 101093
makes loading even faster than this workaround.
Comment 8 kla 2009-05-27 14:27:54 UTC
Seen ok in cws chart 37 -> verified
Comment 9 kla 2009-08-28 14:43:34 UTC
Seen ok in current master -> closed